$.index.open();

/* Whether below is commented out or not the crash still happens */

setupSpeech();

/**
 * @function setupSpeech
 * @summary Initialize then request permissions
 * @returns {void}
 */
function setupSpeech() {
	var speech = require('ti.speech.ios');
	speech.initialize();
	speech.requestSpeechRecognizerAuthorization(function (e) {
		if (!e.success) {
			alert('Speech recognition was not authorized!');
			error();
		} else {
			speech.requestMicrophoneAuthorization(function (e) {
				if (!e.success) {
					alert('Permission to record audio was not authorized!');
				} else {
					startSpeechRecognition();
				}
			});
		}
	});
}

/**
 * @function startSpeechRecognition
 * @summary Start Speech Recognition
 * @returns {void}
 */
function startSpeechRecognition() {
	var started = speech.startRecognition({
		type:     speech.SOURCE_TYPE_MICROPHONE, // optional, as it defaults to this if url is undefined
		progress: progressCallback,
		id:       ++speechInstance,
	});

	if (started) {
		$.label.text = 'Listening...';
	}
}
